/*******************************************************************************
 *	@file			DLShow.cpp
 *	@brief			DirectX Library
 *
 *	@author			ohwhsmm7
 *
 *	@date			24-May-2011(Tue)
 ******************************************************************************/

// vvZbT---------------------------------------------------------------
#include "DLShow.h"
#include "_DShowLib\\_DShowLib.h"
#ifdef	_DEBUG
	#pragma comment ( lib, "_DShowLib\\strmbasd.lib" )
#else	// _DEBUG
	#pragma comment ( lib, "_DShowLib\\strmbase.lib" )
#endif	// _DEBUG
#pragma comment ( lib, "_DShowLib\\_DShowLib.lib" )


/*******************************************************************************
 *	@namespace	DL
 ******************************************************************************/
namespace	DL
{

// O[oϐ-----------------------------------------------------------

// ֐vg^Cv錾-----------------------------------------------------

// -----------------------------------------------------------------------------
/*******************************************************************************
 *	@fn				CDLMovie::CDLMovie( void )
 *	@retval			none						Ȃ
 *	@brief			RXgN^
 ******************************************************************************/
CDLMovie::CDLMovie( void )
{
}

/*******************************************************************************
 *	@fn				CDLMovie::~CDLMovie( void )
 *	@retval			none						Ȃ
 *	@brief			fXgN^
 ******************************************************************************/
CDLMovie::~CDLMovie( void )
{
}

// -----------------------------------------------------------------------------
/*******************************************************************************
 *	@fn				CDLShow::CDLShow( void )
 *	@retval			none						Ȃ
 *	@brief			RXgN^
 ******************************************************************************/
CDLShow::CDLShow( void )
	: m_hWnd()
	, m_lpD3DDev( NULL )

	, m_CMovie()
{
}

/*******************************************************************************
 *	@fn				CDLShow::~CDLShow( void )
 *	@retval			none						Ȃ
 *	@brief			fXgN^
 ******************************************************************************/
CDLShow::~CDLShow( void )
{
	End();
}

/*******************************************************************************
 *	@fn				int CDLShow::Init( const HWND& hWnd,
 *									   const LPDIRECT3DDEVICE9 &lpD3DDev )
 *	@param[in]		hWnd						EChEnh
 *	@retval			int							TRUE=OK/FALSE=NG
 *	@brief			
 ******************************************************************************/
int CDLShow::Init( const HWND& hWnd,
				   const LPDIRECT3DDEVICE9 &lpD3DDev )
{
	HRESULT hr = S_OK;
	m_hWnd = hWnd;
	m_lpD3DDev = lpD3DDev;

	_DShowInit( m_lpD3DDev );
	return TRUE;
}

/*******************************************************************************
 *	@fn				int CDLShow::End( void )
 *	@retval			int							TRUE=OK/FALSE=NG
 *	@brief			I
 ******************************************************************************/
int CDLShow::End( void )
{
	_DShowEnd();
	return TRUE;
}

/*******************************************************************************
 *	@fn				int CDLShow::Update( void )
 *	@retval			int							TRUE=OK/FALSE=NG
 *	@brief			ʍXV
 *					{ PresentImage ōs鏈
 ******************************************************************************/
int CDLShow::Update( void )
{
	return TRUE;
}

/*******************************************************************************
 *	@fn				int CDLSound::LoadMov( const LPWSTR& szName,
 *										   D3DTEXTURE* pD3DTex )
 *	@param[in]		szName						t@C
 *	@param[in]		pD3DTex						eNX`\
 *	@retval			int							TRUE=OK/FALSE=NG
 *	@brief			[r[ǂݍ
 ******************************************************************************/
int CDLShow::LoadMov( const LPWSTR& szName,
					  D3DTEXTURE* pD3DTex )
{
	HRESULT hr = S_OK;
	_DShowLoadMov( szName, static_cast<void*>( pD3DTex ) );

	return TRUE;
}

/*******************************************************************************
 *	@fn				int CDLShow::RemoveMov( void )
 *	@retval			int							TRUE=OK/FALSE=NG
 *	@brief			[r[
 ******************************************************************************/
int CDLShow::RemoveMov( void )
{
	_DShowStop();
	return TRUE;
}

/*******************************************************************************
 *	@fn				int CDLShow::RemoveALL( void )
 *	@retval			int							TRUE=OK/FALSE=NG
 *	@brief			fޑS
 ******************************************************************************/
int CDLShow::RemoveALL( void )
{
	RemoveMov();
	return TRUE;
}

/*******************************************************************************
 *	@fn				int CDLShow::Play( void )
 *	@retval			int							TRUE=OK/FALSE=NG
 *	@brief			[r[Đ
 ******************************************************************************/
int CDLShow::Play( void )
{
	_DShowPlay();
	return TRUE;
}

/*******************************************************************************
 *	@fn				int CDLShow::Stop( void )
 *	@retval			int							TRUE=OK/FALSE=NG
 *	@brief			[r[~
 ******************************************************************************/
int CDLShow::Stop( void )
{
	_DShowStop();
	return TRUE;
}

}	// namespace	DL
